Create¶
POST /api/v1/notify_object/create
Overview¶
Create a notification target
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| type | string | Y | Trigger rule type, default is triggerAllow empty: True Allowed values: ['dingTalkRobot', 'HTTPRequest', 'wechatRobot', 'mailGroup', 'feishuRobot', 'sms', 'vms', 'simpleHTTPRequest', 'slackIncomingWebhook', 'teamsWorkflowWebhook', 'googleChatWebhook'] |
| name | string | Y | Notification target name Allow empty: False |
| optSet | json | Alert settings Allow empty: False |
|
| openPermissionSet | boolean | Enable custom permission configuration, (default false: disabled). When enabled, the operation permissions for this rule are based on permissionSet Allow empty: False |
|
| permissionSet | array | Operation permission configuration, configurable (role (except owner), member uuid, team uuid) Example: ['wsAdmin', 'acnt_xxxx', 'group_yyyy'] Allow empty: False |
Parameter Supplementary Description¶
Data Description.
**Request Parameter Description: ** | Parameter Name | type | Description | | ---------------- | ---- | ---------------------------------------------------- | | name | string | Notification target name | | type | string | Trigger rule type | | optSet | dict | Alert settings | | openPermissionSet | boolean | Whether to enable custom permission configuration, default false | | permissionSet | array | Operation permission configuration |
**1. type=dingTalkRobot optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | DingTalk robot call address |
| secret | String | Required | DingTalk robot call secret (Add robot - Security Settings - Signature) |
**2. type=HTTPRequest, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| url | String | Required | HTTP call address |
**3. type=wechatRobot, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
**4. type=mailGroup, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account list |
**5. type=feishuRobot optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Lark robot call address |
| secret | String | Required | Lark robot call secret (Add robot - Security Settings - Signature) |
**6. type=sms, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account UUID, team UUID list |
**7. type=simpleHTTPRequest, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| url | String | Required | HTTP call address |
8. type=slackIncomingWebhook, optSet parameters (2025-03-26 iteration added)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
9. type=teamsWorkflowWebhook, optSet parameters (2025-03-26 iteration added)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
**10. type=vms phone, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account UUID, team UUID list |
11. type=googleChatWebhook, optSet parameters (2026-01-14 iteration added)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
**permissionSet, openPermissionSet field description (2024-06-26 iteration added fields): ** When openPermissionSet is enabled for a notification target configuration, only the workspace owner and the roles, teams, members configured in permissionSet can edit/delete it. When openPermissionSet is disabled for a notification target configuration (default), the delete/edit permissions follow the original interface edit/delete permissions.
The permissionSet field can be configured with role UUIDs (wsAdmin, general, readOnly, role_xxxxx ), team UUIDs (group_yyyy), member UUIDs (acnt_xxx). permissionSet field example: